Skip to main content
`Ctrl`+`K`

# skbio.embedding.embed_vec_to_ordination

skbio.embedding.embed_vec_to_ordination(vectors, validate=True)

  Convert EmbeddingVector objects to an Ordination object.

  A singular value decomposition (SVD) is performed on the data.

  Parameters:
    vectors iterable of EmbeddingVector objects

      An iterable of EmbeddingVector objects, or objects that subclass EmbeddingVector.

    validate bool, optional

      If `True`, validate that all vectors have the same length and are valid types.

  Returns:
    OrdinationResults

      Ordination results with objects as samples and latent variables as features.

  See also

  `skbio.stats.ordination.OrdinationResults`